StreamCharBuffer.FixedCharArrayEncodedAppender (Grails 6.0.0)

Package: org.grails.buffer

## [Java] Class StreamCharBuffer.FixedCharArrayEncodedAppender

- org.grails.buffer.StreamCharBuffer.FixedCharArrayEncodedAppender

-     private final class StreamCharBuffer.FixedCharArrayEncodedAppender
      extends AbstractEncodedAppender

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `char[]` | `buf` |
    `MultipartCharBufferChunk` | `chunk` |
    `int` | `count` |
    `int` | `currentStart` |
    `EncodingState` | `currentState` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractEncodedAppender` | `ignoreEncodingState`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `FixedCharArrayEncodedAppender (int fixedSize)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `private void` | `addPart()`
    `` | `protected void` | `appendCharSequence(EncodingState encodingState, java.lang.CharSequence csq, int start, int end)`
    `` | `private void` | `checkEncodingChange(EncodingState encodingState)`
    `` | `public void` | `close()`
    `` | `public void` | `finish()`
    `` | `protected void` | `write(EncodingState encodingState, char[] b, int off, int len)`
    `` | `protected void` | `write(EncodingState encodingState, java.lang.String str, int off, int len)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractEncodedAppender` | `append, append, append, appendCharSequence, appendEncoded, appendEncoded, createNewEncodingState, encodeAndWrite, flush, isIgnoreEncodingState, setIgnoreEncodingState, shouldEncode, shouldEncodeWith, write, write`

- - ### Field Detail

    - #### char[] buf

    - #### MultipartCharBufferChunk chunk

    - #### int count

    - #### int currentStart

    - #### EncodingState currentState

  - ### Constructor Detail

    - #### public FixedCharArrayEncodedAppender(int fixedSize)

  - ### Method Detail

    - #### private void addPart()

    - #### @java.lang.Override protected void appendCharSequence(EncodingState encodingState, java.lang.CharSequence csq, int start, int end)

    - #### private void checkEncodingChange(EncodingState encodingState)

    - #### public void close()

    - #### public void finish()

    - #### @java.lang.Override protected void write(EncodingState encodingState, char[] b, int off, int len)

    - #### @java.lang.Override protected void write(EncodingState encodingState, java.lang.String str, int off, int len)